UnresolvedForwardReference
Date: 2016-12-04

com.fasterxml.jackson.databind.deser

## Class UnresolvedForwardReference

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.fasterxml.jackson.core.JsonProcessingException
        - - com.fasterxml.jackson.databind.JsonMappingException
          - - com.fasterxml.jackson.databind.deser.UnresolvedForwardReference

- All Implemented Interfaces:
    java.io.Serializable

      public class UnresolvedForwardReference
      extends JsonMappingException

  Exception thrown during deserialization when there are object id that can't be resolved.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `JsonMappingException.Reference`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `_path, _processor`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `_location`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnresolvedForwardReference(com.fasterxml.jackson.core.JsonParser p, java.lang.String msg)`
    `UnresolvedForwardReference(com.fasterxml.jackson.core.JsonParser p, java.lang.String msg, com.fasterxml.jackson.core.JsonLocation loc, ReadableObjectId roid)`
    `UnresolvedForwardReference(java.lang.String msg)` Deprecated. Since 2.7
    `UnresolvedForwardReference(java.lang.String msg, com.fasterxml.jackson.core.JsonLocation loc, ReadableObjectId roid)` Deprecated. Since 2.7

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUnresolvedId(java.lang.Object id, java.lang.Class<?> type, com.fasterxml.jackson.core.JsonLocation where)`
    `java.lang.String` | `getMessage()` Method is overridden so that we can properly inject description of problem path, if such is defined.
    `ReadableObjectId` | `getRoid()`
    `java.lang.Object` | `getUnresolvedId()`
    `java.util.List<UnresolvedId>` | `getUnresolvedIds()`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `_appendPathDesc, _buildMessage, from, from, from, from, from, from, from, from, fromUnexpectedIOE, getLocalizedMessage, getPath, getPathReference, getPathReference, getProcessor, prependPath, prependPath, prependPath, toString, wrapWithPath, wrapWithPath, wrapWithPath`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `getLocation, getMessageSuffix, getOriginalMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnresolvedForwardReference

          public UnresolvedForwardReference(com.fasterxml.jackson.core.JsonParser p,
                                    java.lang.String msg,
                                    com.fasterxml.jackson.core.JsonLocation loc,
                                    ReadableObjectId roid)

      Since:
        2.7

    - #### UnresolvedForwardReference

          public UnresolvedForwardReference(com.fasterxml.jackson.core.JsonParser p,
                                    java.lang.String msg)

      Since:
        2.7

    - #### UnresolvedForwardReference

          @Deprecated
          public UnresolvedForwardReference(java.lang.String msg,
                                               com.fasterxml.jackson.core.JsonLocation loc,
                                               ReadableObjectId roid)

      Deprecated. Since 2.7

    - #### UnresolvedForwardReference

          @Deprecated
          public UnresolvedForwardReference(java.lang.String msg)

      Deprecated. Since 2.7

  - ### Method Detail

    - #### getRoid

          public ReadableObjectId getRoid()

    - #### getUnresolvedId

          public java.lang.Object getUnresolvedId()

    - #### addUnresolvedId

          public void addUnresolvedId(java.lang.Object id,
                             java.lang.Class<?> type,
                             com.fasterxml.jackson.core.JsonLocation where)

    - #### getUnresolvedIds

          public java.util.List<UnresolvedId> getUnresolvedIds()

    - #### getMessage

          public java.lang.String getMessage()

      Description copied from class: `JsonMappingException`
      Method is overridden so that we can properly inject description of problem path, if such is defined.
      Overrides:
        `getMessage` in class `JsonMappingException`